package com.hw.ems.api.domain;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import com.hw.ems.api.domain.vo.MonitorVo;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.List;

/**
 * 公摊用户对象 base_public_user
 *
 * @author yangwl
 * @date 2023-04-24
 */
public class BasePublicUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /** 用户名称 */
    @Excel(name = "面积")
    private float area;

    private String monitorId;

    private List<MonitorVo> monitors;

    private BigDecimal percentage;

    /**
     * 用户表能耗
     */
    private BigDecimal userExpend;

    /**
     * 公摊表能耗
     */
    private BigDecimal publicExpend;

    /**
     * 表具对应比率
     */
    private BigDecimal monitorRate;

    /**
     * 综合公摊对应比率
     */
    private BigDecimal publicRate;

    public BigDecimal getPublicRate() {
        return publicRate;
    }

    public void setPublicRate(BigDecimal publicRate) {
        this.publicRate = publicRate;
    }

    public BigDecimal getMonitorRate() {
        return monitorRate;
    }

    public void setMonitorRate(BigDecimal monitorRate) {
        this.monitorRate = monitorRate;
    }

    public BigDecimal getPublicExpend() {
        return publicExpend;
    }

    public void setPublicExpend(BigDecimal publicExpend) {
        this.publicExpend = publicExpend;
    }

    public BigDecimal getUserExpend() {
        return userExpend;
    }

    public void setUserExpend(BigDecimal userExpend) {
        this.userExpend = userExpend;
    }

    public BigDecimal getPercentage() {
        return percentage;
    }

    public void setPercentage(BigDecimal percentage) {
        this.percentage = percentage;
    }

    public List<MonitorVo> getMonitors() {
        return monitors;
    }

    public void setMonitors(List<MonitorVo> monitors) {
        this.monitors = monitors;
    }

    /** 表具组 */
    private String[] publicShareIds;

    /** 公摊表具组 */
    private String[] publicMonitorIds;

    public String[] getPublicMonitorIds() {
        return publicMonitorIds;
    }

    public void setPublicMonitorIds(String[] publicMonitorIds) {
        this.publicMonitorIds = publicMonitorIds;
    }

    public String[] getPublicShareIds() {
        return publicShareIds;
    }

    public String getMonitorId() {
        return monitorId;
    }

    public void setMonitorId(String monitorId) {
        this.monitorId = monitorId;
    }

    public void setPublicShareIds(String[] publicShareIds) {
        this.publicShareIds = publicShareIds;
    }

    public float getArea() {
        return area;
    }

    public void setArea(float area) {
        this.area = area;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userName", getUserName())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
